## org.codehaus.groovy.grails.web.pages.ext.jsp
Class JspTagImpl

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.ext.jsp.JspTagImpl

All Implemented Interfaces:
  groovy.lang.GroovyObject, JspTag

    public class JspTagImpl

extends Object
implements JspTag, groovy.lang.GroovyObject

Constructor Summary
`JspTagImpl(Class tagClass)`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`void` `doTag(Writer targetWriter, Map attributes)` Main method to invoke a tag library and output to the target write
`void` `doTag(Writer targetWriter, Map attributes, groovy.lang.Closure body)` Invokes a tag with a closure representing the body of the tag
`boolean` `getBody()`
`boolean` `getIteration()`
`static Object` `getLOG()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Class` `getTagClass()`
`boolean` `getTryCatchFinally()`
`protected Object` `handleSimpleTag(SimpleTag tag, Map attributes, GroovyPagesPageContext pageContext, Writer targetWriter, groovy.lang.Closure body)`
`Object` `invokeMethod(String method, Object arguments)`
`boolean` `isBody()`
`boolean` `isBodyTag()`
`boolean` `isIteration()`
`boolean` `isIterationTag()`
`boolean` `isTryCatchFinally()`
`boolean` `isTryCatchFinallyTag()`
`void` `setBody(boolean value)`
`void` `setIteration(boolean value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`
`void` `setTagClass(Class value)`
`void` `setTryCatchFinally(boolean value)`
`void` `withJspWriterDelegate(GroovyPagesPageContext pageContext, Writer delegate, groovy.lang.Closure callable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspTagImpl

    public JspTagImpl(Class tagClass)

Method Detail

### getLOG

    public static Object getLOG()

### getTagClass

    public Class getTagClass()

### setTagClass

    public void setTagClass(Class value)

### getTryCatchFinally

    public boolean getTryCatchFinally()

### isTryCatchFinally

    public boolean isTryCatchFinally()

### setTryCatchFinally

    public void setTryCatchFinally(boolean value)

### getBody

    public boolean getBody()

### isBody

    public boolean isBody()

### setBody

    public void setBody(boolean value)

### getIteration

    public boolean getIteration()

### isIteration

    public boolean isIteration()

### setIteration

    public void setIteration(boolean value)

### doTag

    public void doTag(Writer targetWriter,
                      Map attributes)

  Description copied from interface: `JspTag`
  Main method to invoke a tag library and output to the target write

  Specified by:
    `doTag` in interface `JspTag`
  Parameters:
    `targetWriter` - The writer the tag should write to
    `attributes` - The tag attributes

### doTag

    public void doTag(Writer targetWriter,
                      Map attributes,
                      groovy.lang.Closure body)

  Description copied from interface: `JspTag`
  Invokes a tag with a closure representing the body of the tag

  Specified by:
    `doTag` in interface `JspTag`
  Parameters:
    `targetWriter` - The target writer to write to
    `attributes` - The tag attributes
    `body` - The body of the tag

### withJspWriterDelegate

    public void withJspWriterDelegate(GroovyPagesPageContext pageContext,
                                      Writer delegate,
                                      groovy.lang.Closure callable)

### handleSimpleTag

    protected Object handleSimpleTag(SimpleTag tag,
                                     Map attributes,
                                     GroovyPagesPageContext pageContext,
                                     Writer targetWriter,
                                     groovy.lang.Closure body)

### isBodyTag

    public boolean isBodyTag()

  Specified by:
    `isBodyTag` in interface `JspTag`
  Returns:
    Return true if the tag class implements the BodyTag interface

### isIterationTag

    public boolean isIterationTag()

  Specified by:
    `isIterationTag` in interface `JspTag`
  Returns:
    Return true if the tag class implements the IterationTag interface

### isTryCatchFinallyTag

    public boolean isTryCatchFinallyTag()

  Specified by:
    `isTryCatchFinallyTag` in interface `JspTag`
  Returns:
    Return true if the tag class implements the TryCatchFinally interface

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project